---
apiVersion: apps/v1
items:
- apiVersion: apps/v1
  kind: ReplicaSet
  metadata:
    annotations:
      capability.openshift.io/name: OperatorLifecycleManagerV1
      deployment.kubernetes.io/desired-replicas: "1"
      deployment.kubernetes.io/max-replicas: "2"
      deployment.kubernetes.io/revision: "1"
      include.release.openshift.io/self-managed-high-availability: "true"
    creationTimestamp: "2025-10-27T11:18:29Z"
    generation: 1
    labels:
      name: cluster-olm-operator
      pod-template-hash: 78f47b778b
    managedFields:
    - apiVersion: apps/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:capability.openshift.io/name: {}
            f:deployment.kubernetes.io/desired-replicas: {}
            f:deployment.kubernetes.io/max-replicas: {}
            f:deployment.kubernetes.io/revision: {}
            f:include.release.openshift.io/self-managed-high-availability: {}
          f:labels:
            .: {}
            f:name: {}
            f:pod-template-hash: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"7344044e-c6d7-499e-9aef-0ae2463e3594"}: {}
        f:spec:
          f:replicas: {}
          f:selector: {}
          f:template:
            f:metadata:
              f:annotations:
                .: {}
                f:openshift.io/required-scc: {}
                f:target.workload.openshift.io/management: {}
              f:labels:
                .: {}
                f:name: {}
                f:pod-template-hash: {}
            f:spec:
              f:containers:
                k:{"name":"cluster-olm-operator"}:
                  .: {}
                  f:args: {}
                  f:command: {}
                  f:env:
                    .: {}
                    k:{"name":"CATALOGD_IMAGE"}:
                      .: {}
                      f:name: {}
                      f:value: {}
                    k:{"name":"KUBE_RBAC_PROXY_IMAGE"}:
                      .: {}
                      f:name: {}
                      f:value: {}
                    k:{"name":"OPERATOR_CONTROLLER_IMAGE"}:
                      .: {}
                      f:name: {}
                      f:value: {}
                    k:{"name":"OPERATOR_IMAGE_VERSION"}:
                      .: {}
                      f:name: {}
                      f:value: {}
                    k:{"name":"OPERATOR_NAME"}:
                      .: {}
                      f:name: {}
                      f:value: {}
                  f:image: {}
                  f:imagePullPolicy: {}
                  f:name: {}
                  f:ports:
                    .: {}
                    k:{"containerPort":8443,"protocol":"TCP"}:
                      .: {}
                      f:containerPort: {}
                      f:name: {}
                      f:protocol: {}
                  f:resources:
                    .: {}
                    f:requests:
                      .: {}
                      f:cpu: {}
                      f:memory: {}
                  f:securityContext:
                    .: {}
                    f:allowPrivilegeEscalation: {}
                    f:capabilities:
                      .: {}
                      f:drop: {}
                  f:terminationMessagePath: {}
                  f:terminationMessagePolicy: {}
                  f:volumeMounts:
                    .: {}
                    k:{"mountPath":"/operand-assets"}:
                      .: {}
                      f:mountPath: {}
                      f:name: {}
                    k:{"mountPath":"/var/run/secrets/serving-cert"}:
                      .: {}
                      f:mountPath: {}
                      f:name: {}
              f:dnsPolicy: {}
              f:initContainers:
                .: {}
                k:{"name":"copy-catalogd-manifests"}:
                  .: {}
                  f:args: {}
                  f:command: {}
                  f:image: {}
                  f:imagePullPolicy: {}
                  f:name: {}
                  f:resources: {}
                  f:terminationMessagePath: {}
                  f:terminationMessagePolicy: {}
                  f:volumeMounts:
                    .: {}
                    k:{"mountPath":"/operand-assets"}:
                      .: {}
                      f:mountPath: {}
                      f:name: {}
                k:{"name":"copy-operator-controller-manifests"}:
                  .: {}
                  f:args: {}
                  f:command: {}
                  f:image: {}
                  f:imagePullPolicy: {}
                  f:name: {}
                  f:resources: {}
                  f:terminationMessagePath: {}
                  f:terminationMessagePolicy: {}
                  f:volumeMounts:
                    .: {}
                    k:{"mountPath":"/operand-assets"}:
                      .: {}
                      f:mountPath: {}
                      f:name: {}
              f:nodeSelector: {}
              f:priorityClassName: {}
              f:restartPolicy: {}
              f:schedulerName: {}
              f:securityContext:
                .: {}
                f:runAsNonRoot: {}
                f:seccompProfile:
                  .: {}
                  f:type: {}
              f:serviceAccount: {}
              f:serviceAccountName: {}
              f:terminationGracePeriodSeconds: {}
              f:tolerations: {}
              f:volumes:
                .: {}
                k:{"name":"cluster-olm-operator-serving-cert"}:
                  .: {}
                  f:name: {}
                  f:secret:
                    .: {}
                    f:defaultMode: {}
                    f:optional: {}
                    f:secretName: {}
                k:{"name":"operand-assets"}:
                  .: {}
                  f:emptyDir: {}
                  f:name: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-27T11:18:29Z"
    - apiVersion: apps/v1
      fieldsType: FieldsV1
      fieldsV1:
        f:status:
          f:availableReplicas: {}
          f:fullyLabeledReplicas: {}
          f:observedGeneration: {}
          f:readyReplicas: {}
          f:replicas: {}
      manager: kube-controller-manager
      operation: Update
      subresource: status
      time: "2025-10-27T12:28:13Z"
    name: cluster-olm-operator-78f47b778b
    namespace: openshift-cluster-olm-operator
    ownerReferences:
    - apiVersion: apps/v1
      blockOwnerDeletion: true
      controller: true
      kind: Deployment
      name: cluster-olm-operator
      uid: 7344044e-c6d7-499e-9aef-0ae2463e3594
    resourceVersion: "45707"
    uid: 46b22a49-4085-4a2a-a0ec-d1f5d79cb1f8
  spec:
    replicas: 1
    selector:
      matchLabels:
        name: cluster-olm-operator
        pod-template-hash: 78f47b778b
    template:
      metadata:
        annotations:
          openshift.io/required-scc: restricted-v2
          target.workload.openshift.io/management: '{"effect": "PreferredDuringScheduling"}'
        creationTimestamp: null
        labels:
          name: cluster-olm-operator
          pod-template-hash: 78f47b778b
      spec:
        containers:
        - args:
          - start
          command:
          - /cluster-olm-operator
          env:
          - name: OPERATOR_NAME
            value: cluster-olm-operator
          - name: OPERATOR_IMAGE_VERSION
            value: 4.19.17
          - name: KUBE_RBAC_PROXY_IMAGE
            value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:bded7d9e3f796c4a84b78302430d3dd93ddce089074cb8fc044c0e17f0442c00
          - name: CATALOGD_IMAGE
            value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b894af7907e3233b014558224c982cf4aa964519ce9a7f0ff47ce48129b28ff6
          - name: OPERATOR_CONTROLLER_IMAGE
            value: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:37b13d3eb12c9a9718212c291f217c67e47d03a0067324e05da7aa66fecfa2b3
          image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:8e2af20ce63a0dce03c126e18fb4ee4c6d1141583c6614aa3e50575aeaa364d8
          imagePullPolicy: IfNotPresent
          name: cluster-olm-operator
          ports:
          - containerPort: 8443
            name: metrics
            protocol: TCP
          resources:
            requests:
              cpu: 10m
              memory: 20Mi
          securityContext:
            allowPrivilegeEscalation: false
            capabilities:
              drop:
              - ALL
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: FallbackToLogsOnError
          volumeMounts:
          - mountPath: /var/run/secrets/serving-cert
            name: cluster-olm-operator-serving-cert
          - mountPath: /operand-assets
            name: operand-assets
        dnsPolicy: ClusterFirst
        initContainers:
        - args:
          - -c
          - cp -a /openshift/manifests /operand-assets/catalogd
          command:
          - /bin/sh
          image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:b894af7907e3233b014558224c982cf4aa964519ce9a7f0ff47ce48129b28ff6
          imagePullPolicy: IfNotPresent
          name: copy-catalogd-manifests
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: FallbackToLogsOnError
          volumeMounts:
          - mountPath: /operand-assets
            name: operand-assets
        - args:
          - -c
          - cp -a /openshift/manifests /operand-assets/operator-controller
          command:
          - /bin/sh
          image: quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:37b13d3eb12c9a9718212c291f217c67e47d03a0067324e05da7aa66fecfa2b3
          imagePullPolicy: IfNotPresent
          name: copy-operator-controller-manifests
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: FallbackToLogsOnError
          volumeMounts:
          - mountPath: /operand-assets
            name: operand-assets
        nodeSelector:
          kubernetes.io/os: linux
          node-role.kubernetes.io/master: ""
        priorityClassName: system-cluster-critical
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext:
          runAsNonRoot: true
          seccompProfile:
            type: RuntimeDefault
        serviceAccount: cluster-olm-operator
        serviceAccountName: cluster-olm-operator
        terminationGracePeriodSeconds: 30
        tolerations:
        - effect: NoSchedule
          key: node-role.kubernetes.io/master
          operator: Exists
        - effect: NoExecute
          key: node.kubernetes.io/unreachable
          operator: Exists
          tolerationSeconds: 120
        - effect: NoExecute
          key: node.kubernetes.io/not-ready
          operator: Exists
          tolerationSeconds: 120
        volumes:
        - name: cluster-olm-operator-serving-cert
          secret:
            defaultMode: 420
            optional: true
            secretName: cluster-olm-operator-serving-cert
        - emptyDir: {}
          name: operand-assets
  status:
    availableReplicas: 1
    fullyLabeledReplicas: 1
    observedGeneration: 1
    readyReplicas: 1
    replicas: 1
kind: ReplicaSetList
metadata:
  resourceVersion: "2220476"
